import request from '@/utils/request'

/**
 * 删除关联
 * @param {*} data
 * @returns
 */
export const deleteGameLeverQuestion = (id) => request({
  url: `/admin/game-level-question/${id}`, method: 'delete'
})
/**
 * 更新测试游戏问题的分数
 * @param {*} data
 * @returns
 */
export const UpdateGameLeverQuestion = (data, id) => request({
  url: `/admin/game-level-question/${id}`, method: 'put', data
})

/**
* 添加关联游戏和题库的接口
* @param {*} data
* @returns
*/
export const saveGameLeverQuestion = (data) => request({
  url: '/admin/game-level-question',
  method: 'post',
  data
})

/**
 * 查询关联详情
 * @param {*} params
 * @returns
 */
export const getGameLeverQuestionDetail = (id, params) => request({
  url: `/admin/game-level-question/${id}`, params
})
