import request from '@/utils/request'

/**
* 注册账号
* @param {*} data
* @returns
*/
export const signUp = (data) => request({
  url: '/admin/signup',
  method: 'post',
  data
})

/**
 * 获取验证码
 * @param {*} params
 * @returns
 */
export const getCaptcha = (params) => request({
  url: '/admin/captcha', params
})
